package org.gcube.informationsystem.resourceregistry.rest;

import javax.ws.rs.core.Context;
import javax.ws.rs.core.UriInfo;

import org.gcube.informationsystem.resourceregistry.requests.RequestUtility;
import org.gcube.informationsystem.resourceregistry.requests.ServerRequestInfo;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * @author Luca Frosini (ISTI - CNR)
 */
public class BaseRest {
	
	protected Logger logger = LoggerFactory.getLogger(this.getClass());

	@Context
	protected UriInfo uriInfo;
	
	public BaseRest() {

	}
	
	protected ServerRequestInfo initRequestInfo() {
		ServerRequestInfo requestInfo = new ServerRequestInfo();
		requestInfo.setUriInfo(uriInfo);
		
		RequestUtility.getRequestInfo().set(requestInfo);
		
		return requestInfo;
	}
	
}
